Bug 495194 - cluster.ini should be installed on proxy only if you install monitoring
cluster.ini should be installed on proxy only if you install monitoring
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Proxy Server (Show other bugs)
0.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-04-10 04:56 EDT by Miroslav Suchý
Modified: 2017-08-28 11:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:00:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2009-04-10 04:56:50 EDT
The error "/usr/sbin/configure-proxy.sh: line 236: cat: No such file
 or directory" is given if you don't choose to install monitoring
 (probably need to wrap this bit in an "if monitoring" block)

It is the part:

sed -e "s/\${session.enable_monitoring_scout:0}/$ENABLE_SCOUT/g" \
            -e "s/\${session.rhn_monitoring_parent_ip}/$MONITORING_PARENT_IP/g" \
            -e "s/\${session.rhn_monitoring_parent}/$MONITORING_PARENT/g" \
            -e "s/\${session.scout_shared_key}/$SCOUT_SHARED_KEY/g" \
        < $DIR/cluster.ini  > $RHNCONF_DIR/cluster.ini
Comment 1 Miroslav Suchý 2009-04-10 07:40:21 EDT
Commited as 297a1197268a4bffd9d4592d0f56e4d94db27047
Will be fixed in spacewalk-proxy-installer-0.6.3
Comment 2 Miroslav Suchý 2009-09-10 08:00:50 EDT
Spacewalk 0.6 released.

Note You need to log in before you can comment on or make changes to this bug.